public static interface SjmsEndpointBuilderFactory.SjmsBuilders
| Modifier and Type | Method and Description |
|---|---|
default SjmsEndpointBuilderFactory.SjmsEndpointBuilder |
sjms(String path)
Simple JMS (camel-sjms)
Send and receive messages to/from a JMS Queue or Topic using plain
JMS 1.x API.
|
default SjmsEndpointBuilderFactory.SjmsEndpointBuilder |
sjms(String componentName,
String path)
Simple JMS (camel-sjms)
Send and receive messages to/from a JMS Queue or Topic using plain
JMS 1.x API.
|
default SjmsEndpointBuilderFactory.SjmsEndpointBuilder sjms(String path)
sjms:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 2 enums and the value can be one of: queue, topic
Path parameter: destinationName (required)
DestinationName is a JMS queue or topic name. By default, the
destinationName is interpreted as a queue name.path - destinationType:destinationNamedefault SjmsEndpointBuilderFactory.SjmsEndpointBuilder sjms(String componentName, String path)
sjms:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 2 enums and the value can be one of: queue, topic
Path parameter: destinationName (required)
DestinationName is a JMS queue or topic name. By default, the
destinationName is interpreted as a queue name.componentName - to use a custom component name for the endpoint
instead of the default namepath - destinationType:destinationNameApache Camel